package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;

/**
 * <p>
 * 终端信息表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("sys_oauth_client_details")
public class SysOauthClientDetails extends Model<SysOauthClientDetails> {

    private static final long serialVersionUID = 1L;

    /**
     * 客户端ID
     */
    @TableId("id_")
    private String id;
    /**
     * 资源ID
     */
    @TableField("resource_ids_")
    private String resourceIds;
    /**
     * 客户端密钥
     */
    @TableField("client_secret_")
    private String clientSecret;
    /**
     * 作用域
     */
    @TableField("scope_")
    private String scope;
    /**
     * 授权方式
     */
    @TableField("authorized_grant_types_")
    private String authorizedGrantTypes;
    @TableField("web_server_redirect_uri_")
    private String webServerRedirectUri;
    @TableField("authorities_")
    private String authorities;
    /**
     * 请求令牌有效时间
     */
    @TableField("access_token_validity_")
    private Integer accessTokenValidity;
    /**
     * 刷新令牌有效时间
     */
    @TableField("refresh_token_validity_")
    private Integer refreshTokenValidity;
    /**
     * 扩展信息
     */
    @TableField("additional_information_")
    private String additionalInformation;
    /**
     * 是否自动放行
     */
    @TableField("autoapprove_")
    private String autoapprove;


    public String getId() {
        return id;
    }

    public SysOauthClientDetails setId(String id) {
        this.id = id;
        return this;
    }

    public String getResourceIds() {
        return resourceIds;
    }

    public SysOauthClientDetails setResourceIds(String resourceIds) {
        this.resourceIds = resourceIds;
        return this;
    }

    public String getClientSecret() {
        return clientSecret;
    }

    public SysOauthClientDetails setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
        return this;
    }

    public String getScope() {
        return scope;
    }

    public SysOauthClientDetails setScope(String scope) {
        this.scope = scope;
        return this;
    }

    public String getAuthorizedGrantTypes() {
        return authorizedGrantTypes;
    }

    public SysOauthClientDetails setAuthorizedGrantTypes(String authorizedGrantTypes) {
        this.authorizedGrantTypes = authorizedGrantTypes;
        return this;
    }

    public String getWebServerRedirectUri() {
        return webServerRedirectUri;
    }

    public SysOauthClientDetails setWebServerRedirectUri(String webServerRedirectUri) {
        this.webServerRedirectUri = webServerRedirectUri;
        return this;
    }

    public String getAuthorities() {
        return authorities;
    }

    public SysOauthClientDetails setAuthorities(String authorities) {
        this.authorities = authorities;
        return this;
    }

    public Integer getAccessTokenValidity() {
        return accessTokenValidity;
    }

    public SysOauthClientDetails setAccessTokenValidity(Integer accessTokenValidity) {
        this.accessTokenValidity = accessTokenValidity;
        return this;
    }

    public Integer getRefreshTokenValidity() {
        return refreshTokenValidity;
    }

    public SysOauthClientDetails setRefreshTokenValidity(Integer refreshTokenValidity) {
        this.refreshTokenValidity = refreshTokenValidity;
        return this;
    }

    public String getAdditionalInformation() {
        return additionalInformation;
    }

    public SysOauthClientDetails setAdditionalInformation(String additionalInformation) {
        this.additionalInformation = additionalInformation;
        return this;
    }

    public String getAutoapprove() {
        return autoapprove;
    }

    public SysOauthClientDetails setAutoapprove(String autoapprove) {
        this.autoapprove = autoapprove;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "SysOauthClientDetails{" +
                ", id=" + id +
                ", resourceIds=" + resourceIds +
                ", clientSecret=" + clientSecret +
                ", scope=" + scope +
                ", authorizedGrantTypes=" + authorizedGrantTypes +
                ", webServerRedirectUri=" + webServerRedirectUri +
                ", authorities=" + authorities +
                ", accessTokenValidity=" + accessTokenValidity +
                ", refreshTokenValidity=" + refreshTokenValidity +
                ", additionalInformation=" + additionalInformation +
                ", autoapprove=" + autoapprove +
                "}";
    }
}
